Bug 439082 - initscript load hardware modules in a way that isn't always going to work
Summary: initscript load hardware modules in a way that isn't always going to work
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openib   
(Show other bugs)
Version: 5.3
Hardware: All Linux
low
low
Target Milestone: rc
: ---
Assignee: Doug Ledford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 441054
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-26 21:09 UTC by Bill Nottingham
Modified: 2014-03-17 03:13 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0432
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 17:26:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0432 normal SHIPPED_LIVE openib bug fix and enhancement update 2008-05-20 16:47:22 UTC

Description Bill Nottingham 2008-03-26 21:09:22 UTC
Description of problem:

    for driver in `grep
'ib_mthca\|ipath_core\|ib_ipath\|ib_ehca\|iw_cxgb3\|iw_c2' /etc/sysconfig/hwconf
| cut -f 2 -d ' '`; do
        if ! is_module $driver ; then
            /sbin/modprobe $driver
            RC=$[ $RC + $? ]
        fi

That's just wrong on multiple levels.

1) it's relying on kudzu information being up to date, and kudzu could
conceivably be disabled, or not installed (especially as the package doesn't
require it)
2) if kudzu actually *does* have the driver information, then that information
comes from the built-in module aliases. Which means the driver *would already be
loaded.*

Version-Release number of selected component (if applicable):

openib-1.2-6.el5_1.1

Comment 1 Doug Ledford 2008-03-31 19:29:39 UTC
The openib-1.3-2 package has (or will have once I can check it in and build it)
a much cleaner version of this script that solves this issue.

Comment 5 Bill Nottingham 2008-04-24 03:11:35 UTC
Changing summary for the clarity of the errata system.

Comment 7 errata-xmlrpc 2008-05-21 17:26:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0432.html



Note You need to log in before you can comment on or make changes to this bug.